Bug 165121 - Starting X causes reboot
Starting X causes reboot
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-04 10:56 EDT by Tom Wood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-17 21:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vvv of the affected machine (4.24 KB, text/plain)
2005-08-04 10:59 EDT, Tom Wood
no flags Details
Xorg.0.log of the affected machine (26.64 KB, text/plain)
2005-08-04 11:00 EDT, Tom Wood
no flags Details
xorg.conf of the affected machine (3.05 KB, text/plain)
2005-08-04 11:01 EDT, Tom Wood
no flags Details
Xorg.0.log from the latest rawhide Xorg and kernel (20.78 KB, text/plain)
2005-08-05 14:57 EDT, Tom Wood
no flags Details

  None (edit)
Description Tom Wood 2005-08-04 10:56:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Machine is small form factor SiS 550 chipset-based unit.  Starting X causes the box to reboot.  This did not occur under FC3, but has done so with every patch level of X for FC4, including the current rawhide -45. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run X.
2. Watch machine reboot.

Actual Results:  Machine reboots

Expected Results:  Machine displays X.

Additional info:

Will attach xorg.conf, lspci -vvv, and Xorg.0.log files.
Comment 1 Tom Wood 2005-08-04 10:59:40 EDT
Created attachment 117450 [details]
lspci -vvv of the affected machine
Comment 2 Tom Wood 2005-08-04 11:00:08 EDT
Created attachment 117451 [details]
Xorg.0.log of the affected machine
Comment 3 Tom Wood 2005-08-04 11:01:56 EDT
Created attachment 117452 [details]
xorg.conf of the affected machine

Note that the DRI and 3D acceleration portions have been commented out by hand.
 The SiS 550 is in the SiS 315 family and has no hardware 3D acceleration. 
This commenting out of these portions makes no difference - the machine still
Comment 4 Olivier Baudron 2005-08-04 11:33:50 EDT
From your Xorg.log:

> OS Kernel: Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com)
> (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8))

Would you please update the kernel to the latest rawhide ?
This one is compiled with gcc-4.0.0-8 which has a volatile issue and may cause
some problems.
Comment 5 Tom Wood 2005-08-05 14:55:31 EDT
Latest rawhide kernel (2.6.12-1.1448_FC5) exhibits the same problem.  Attached
please see another Xorg.0.log from this trial.
Comment 6 Tom Wood 2005-08-05 14:57:45 EDT
Created attachment 117498 [details]
Xorg.0.log from the latest rawhide Xorg and kernel
Comment 7 Olivier Baudron 2005-08-09 04:15:44 EDT
What is the last version of xorg known to work on your system ?
One regression between FC3 and FC4 was due to bug #163331.
Can you test xorg-6.8.2-45 without this patch ?
In case you don't want to recompile by yourself, I have put the binaries here:
Comment 8 Mike A. Harris 2005-08-30 07:19:24 EDT
Please test the recommendation in comment #7 and provide feedback.

Also, if the problem still exists with rawhide X, try using:

     Option "noaccel"

in the device section of the xorg.conf, and report back wether or not that
works around the issue you're having.

Setting status to "NEEDINFO_REPORTER" and waiting for feedback from
above requests.
Comment 9 Mike A. Harris 2005-09-26 16:17:03 EDT
Please review comment #7 and 8 above and provide a response, even if you
can't immediately test this.

We do not have this hardware, and are unable to investigate this further
until we receive a response to the above queries.

Thanks in advance.
Comment 10 Mike A. Harris 2006-01-17 21:56:24 EST
There have been 3 comments requesting testing and feedback since the last
time we have heard from the reporter of this issue, however there have not
been any feedback since August 5, 2005.  Almost 5 months now.

Since we do not have this hardware, we require a response in order to
diagnose the problem further.  At this point I would recommend that if
the problem still exists in Fedora development, which contains X11R7 now,
that a bug be filed directly to X.Org bugzilla at http://bugs.freedesktop.org
so that the SiS driver maintainer will be made aware of the problem and
can diagnose the issue directly.

Setting bug status to "CANTFIX".

Note You need to log in before you can comment on or make changes to this bug.